- Create a child tenant
Creates a child tenant for the calling partner tenant.
The tenant to create.
(IDENTIFIER) The resource name of the tenant. Format: tenants/{tenant} string.resource_name = ["tenants/*"] // value must be a valid resource name
Required. A mutable, user-settable field for providing a human-readable name for the tenant, to be used in user interfaces. Must be <= 63 characters. string.display_name = true // value must be at most 63 characters
- Mock serverhttps://docs.bndry.net/_mock/apis/openapi/v1alpha/tenants
- BNDRY APIhttps://api.bndry.app/v1alpha/tenants
- oauth2_client_credentials
- oauth2_authorization_code
curl -i -X POST \
'https://docs.bndry.net/_mock/apis/openapi/v1alpha/tenants?tenantId=497f6eca-6276-4993-bfeb-53cbbbba6f08&validateOnly=true' \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
-H 'Content-Type: application/json' \
-d '{
"name": "string",
"displayName": "string",
"createTime": "2023-01-15T01:30:15.01Z",
"updateTime": "2023-01-15T01:30:15.01Z",
"deleteTime": "2023-01-15T01:30:15.01Z",
"annotations": {
"property1": "string",
"property2": "string"
},
"etag": "string"
}'Success
This resource represents a long-running operation that is the result of a network API call.
The server-assigned name, which is only unique within the same service that originally returns it. If you use the default HTTP mapping, the name should be a resource name ending with operations/{unique_id}.
Service-specific metadata associated with the operation. It typically contains progress information and common metadata such as create time. Some services might not provide such metadata. Any method that returns a long-running operation should document the metadata type, if any.
If the value is false, it means the operation is still in progress. If true, the operation is completed, and either error or response is available.
- error
- response
{ "name": "string", "metadata": { "type": "string", "value": "string" }, "done": true, "error": { "code": 0, "message": "string", "details": [ … ] } }